installation doesn't save email address

Bug #1300741 reported by Tobias Zeuch on 2014-04-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon
1.8
High
Robert Lyon
1.9
High
Robert Lyon

Bug Description

The email address that is entered upon installation section doesn't get saved. The admin starts with the address <email address hidden> (and I cannot find the address I entered in the complete database)

version: in mahara 1.9rc1
mysql-database on Ubuntu 12.04.4 LTS

Robert Lyon (robertl-9) on 2014-04-04
Changed in mahara:
assignee: nobody → Robert Lyon (robertl-9)
milestone: none → 1.9.0
Robert Lyon (robertl-9) wrote :

This is broken in v 1.8+

It looks to be broken by this commit: 032b155d69587fec8bcedb7e35ca6d30ed636fde

As the admin has a dummy email set on install it fails to save the one sent by the form.

tags: added: regression
tags: added: email
Changed in mahara:
status: New → Confirmed
importance: Undecided → High
Robert Lyon (robertl-9) on 2014-04-04
Changed in mahara:
milestone: 1.9.0 → 1.10.0
Robert Lyon (robertl-9) on 2014-04-06
Changed in mahara:
status: Confirmed → In Progress

Reviewed: https://reviews.mahara.org/3201
Committed: http://gitorious.org/mahara/mahara/commit/8ff3e3f7372c1a15199509b9a91ec86fdb976962
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 8ff3e3f7372c1a15199509b9a91ec86fdb976962
Author: Robert Lyon <email address hidden>
Date: Mon Apr 7 09:33:35 2014 +1200

Installation doesn't save email address (Bug #1300741)

This is a regression that has crept in during v1.8
The installation doesn't update the admin's email address from the
dummy one.

Change-Id: If2b74121e6799c3f2c3745802c2aa0e856b2fd69
Signed-off-by: Robert Lyon <email address hidden>

Reviewed: https://reviews.mahara.org/3216
Committed: http://gitorious.org/mahara/mahara/commit/09c79e84feeaa5219813240c0570265db6941fde
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.9_STABLE

commit 09c79e84feeaa5219813240c0570265db6941fde
Author: Robert Lyon <email address hidden>
Date: Mon Apr 7 09:33:35 2014 +1200

Installation doesn't save email address (Bug #1300741)

This is a regression that has crept in during v1.8
The installation doesn't update the admin's email address from the
dummy one.

Change-Id: If2b74121e6799c3f2c3745802c2aa0e856b2fd69
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2014-04-09
Changed in mahara:
status: In Progress → Fix Committed

Reviewed: https://reviews.mahara.org/3217
Committed: http://gitorious.org/mahara/mahara/commit/06d95ffea1819af799609b473c216fb265c33c0f
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.8_STABLE

commit 06d95ffea1819af799609b473c216fb265c33c0f
Author: Robert Lyon <email address hidden>
Date: Mon Apr 7 09:33:35 2014 +1200

Installation doesn't save email address (Bug #1300741)

This is a regression that has crept in during v1.8
The installation doesn't update the admin's email address from the
dummy one.

Change-Id: If2b74121e6799c3f2c3745802c2aa0e856b2fd69
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2014-04-10
Changed in mahara:
status: Fix Committed → In Progress
Mahara Bot (dev-mahara) wrote :

Patch for "1.9_STABLE" branch: https://reviews.mahara.org/3221

Mahara Bot (dev-mahara) wrote :

Patch for "1.8_STABLE" branch: https://reviews.mahara.org/3223

Reviewed: https://reviews.mahara.org/3221
Committed: http://gitorious.org/mahara/mahara/commit/bff4ae7fd5a314c690b1e64f9f31ee04a9d8c04d
Submitter: Son Nguyen (<email address hidden>)
Branch: 1.9_STABLE

commit bff4ae7fd5a314c690b1e64f9f31ee04a9d8c04d
Author: Robert Lyon <email address hidden>
Date: Thu Apr 10 12:18:21 2014 +1200

Making check for admin more reliable (Bug #1300741)

Rather than relying on id number we rely on the fact they are an admin.

Change-Id: I17f87a7b0cb4e75b5392b196a84afb4105ab3668
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3223
Committed: http://gitorious.org/mahara/mahara/commit/e88df45e4c83a1a54f682b266ccfcdd6913c7cdd
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.8_STABLE

commit e88df45e4c83a1a54f682b266ccfcdd6913c7cdd
Author: Robert Lyon <email address hidden>
Date: Thu Apr 10 12:18:21 2014 +1200

Making check for admin more reliable (Bug #1300741)

Rather than relying on id number we rely on the fact they are an admin.

Change-Id: I17f87a7b0cb4e75b5392b196a84afb4105ab3668
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3220
Committed: http://gitorious.org/mahara/mahara/commit/377b4a1d38fde39b2a38bfb223ce08f87a0d90ae
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 377b4a1d38fde39b2a38bfb223ce08f87a0d90ae
Author: Robert Lyon <email address hidden>
Date: Thu Apr 10 12:18:21 2014 +1200

Making check for admin more reliable (Bug #1300741)

Rather than relying on id number we rely on the fact they are an admin.

Change-Id: I17f87a7b0cb4e75b5392b196a84afb4105ab3668
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2014-04-14
Changed in mahara:
status: In Progress → Fix Committed
Aaron Wells (u-aaronw) on 2014-10-21
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers